L'aggiornamento non riesce e viene visualizzato un errore che indica che è necessario l'aggiornamento della configurazione di autenticazione del certificato.

Problema

Quando si tenta di eseguire l'aggiornamento a VMware Identity Manager 3.3.2, viene visualizzato un messaggio di errore simile al seguente e l'aggiornamento viene interrotto.

Prima di eseguire l'aggiornamento, è necessario aggiornare la configurazione di autenticazione del certificato per il tenant <tenantName>. Controllo pre-aggiornamento non riuscito. L'aggiornamento verrà interrotto.

Causa

Questo problema si verifica se i certificati per CertificateAuthAdapter sono stati aggiunti o aggiornati l'ultima volta prima della versione 3.0.

Soluzione

  1. Accedere alla console di VMware Identity Manager.
  2. Passare a Gestione identità e accessi > Configurazione.
  3. Nella pagina Connettori fare clic sul collegamento nella colonna Worker.
  4. Fare clic su Adattatori autenticazione e quindi su CertificateAuthAdapter.
  5. Nella sezione Certificati CA caricati, fare clic sulla X rossa per rimuovere il certificato.
  6. Fare clic su Salva.
  7. Nella sezione Certificati CA intermedi e root, fare clic su Seleziona file per aggiungere nuovamente il certificato.
  8. Fare clic su Salva.
  9. Tornare alla console dell'appliance virtuale ed eseguire nuovamente i comandi di aggiornamento.